source 'https://rubygems.org'

git_source(:github) do |repo_name|
  repo_name = "#{repo_name}/#{repo_name}" unless repo_name.include?("/")
  "https://github.com/#{repo_name}.git"
end

ruby '2.3.4'

gem 'rails', '5.1.3'
gem 'pg', '~> 0.20.0'
gem 'redis', '~> 3.0'

gem 'puma', '~> 3.7'

gem 'delayed_job_active_record'

gem 'devise'

gem 'instapaper'

gem 'pdfkit'
gem 'rubyzip'

gem 'mailjet'
gem 'dropbox-sdk-v2', :git => 'git://github.com/r4m/dropbox-sdk-ruby.git'

gem 'sass-rails', '~> 5.0'
gem 'uglifier', '>= 1.3.0'
gem 'coffee-rails', '~> 4.2'
gem 'jquery-rails'
gem 'jquery-ui-rails', '~> 5.0.3'
gem 'turbolinks', '~> 5'
gem 'jbuilder', '~> 2.5'

gem 'sitemap_generator'

group :production do
	gem 'rails_12factor'
	gem 'wkhtmltopdf-heroku'
	gem 'premailer'
end

group :development, :test do
  gem 'dotenv-rails'
  # Call 'byebug' anywhere in the code to stop execution and get a debugger console
  gem 'byebug', platforms: [:mri, :mingw, :x64_mingw]
  # Adds support for Capybara system testing and selenium driver
  gem 'capybara', '~> 2.13'
  gem 'selenium-webdriver'
end

group :development do
  # Access an IRB console on exception pages or by using <%= console %> anywhere in the code.
  gem 'web-console', '>= 3.3.0'
  gem 'listen', '>= 3.0.5', '< 3.2'
  # Spring speeds up development by keeping your application running in the background. Read more: https://github.com/rails/spring
  gem 'spring'
  gem 'spring-watcher-listen', '~> 2.0.0'
  gem 'annotate'
end

# Windows does not include zoneinfo files, so bundle the tzinfo-data gem
gem 'tzinfo-data', platforms: [:mingw, :mswin, :x64_mingw, :jruby]
